# Return diagnostics result of an AutoStopping Rule

Retrieves diagnostic information for an AutoStopping Rule to help troubleshoot issues.

Endpoint: GET /gateway/lw/api/accounts/{account_id}/autostopping/rules/{rule_id}/diagnostics
Version: 1.0
Security: x-api-key

## Path parameters:

  - `account_id` (string, required)
    Account Identifier for the Entity
    Example: "abc12_DEFgh-ijkLMNOPqr"

  - `rule_id` (number, required)
    Unique identifier of the AutoStopping Rule for which you need to fetch diagnostics details
    Example: 12345

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for authentication and authorization.
    Example: "abc12_DEFgh-ijkLMNOPqr"

## Response 200 fields (application/json):

  - `response` (array)

  - `response.message` (string)
    Error message if success were to be false

  - `response.name` (string)
    Name of the check

  - `response.success` (boolean)
    Flag which specifies if a diagnostic check is successful

  - `response.type` (string)


## Response 400 fields
